cURL
curl --request POST \
--url https://api.example.com/v1/admin/entitlements/{entitlementID}/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"correlationId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/v1/admin/entitlements/{entitlementID}/operations"
payload = {
"correlationId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
correlationId: '<string>',
effectiveAt: '2023-11-07T05:31:56Z',
endsAt: '2023-11-07T05:31:56Z',
trafficAllowanceBytes: 1,
deviceLimit: 1,
squadIDs: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/v1/admin/entitlements/{entitlementID}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/admin/entitlements/{entitlementID}/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'correlationId' => '<string>',
'effectiveAt' => '2023-11-07T05:31:56Z',
'endsAt' => '2023-11-07T05:31:56Z',
'trafficAllowanceBytes' => 1,
'deviceLimit' => 1,
'squadIDs' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/admin/entitlements/{entitlementID}/operations"
payload := strings.NewReader("{\n \"correlationId\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/admin/entitlements/{entitlementID}/operations")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"correlationId\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/admin/entitlements/{entitlementID}/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"correlationId\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"status": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}fulfillment
Post v1adminentitlements operations
POST
/
v1
/
admin
/
entitlements
/
{entitlementID}
/
operations
cURL
curl --request POST \
--url https://api.example.com/v1/admin/entitlements/{entitlementID}/operations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"correlationId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/v1/admin/entitlements/{entitlementID}/operations"
payload = {
"correlationId": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"trafficAllowanceBytes": 1,
"deviceLimit": 1,
"squadIDs": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
correlationId: '<string>',
effectiveAt: '2023-11-07T05:31:56Z',
endsAt: '2023-11-07T05:31:56Z',
trafficAllowanceBytes: 1,
deviceLimit: 1,
squadIDs: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/v1/admin/entitlements/{entitlementID}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/admin/entitlements/{entitlementID}/operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'correlationId' => '<string>',
'effectiveAt' => '2023-11-07T05:31:56Z',
'endsAt' => '2023-11-07T05:31:56Z',
'trafficAllowanceBytes' => 1,
'deviceLimit' => 1,
'squadIDs' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/admin/entitlements/{entitlementID}/operations"
payload := strings.NewReader("{\n \"correlationId\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/admin/entitlements/{entitlementID}/operations")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"correlationId\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/admin/entitlements/{entitlementID}/operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"correlationId\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"endsAt\": \"2023-11-07T05:31:56Z\",\n \"trafficAllowanceBytes\": 1,\n \"deviceLimit\": 1,\n \"squadIDs\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "<string>",
"status": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 128Path Parameters
Body
application/json
Available options:
create, extend, enable, disable, reset_traffic, set_limits, set_squads, reconcile Required range:
x >= 0Required range:
x >= 0